use strict;
use warnings;
use Module::Build;

use version; our $VERSION = qv('3.4.0.0');

my $builder = Module::Build->new(
    module_name   => 'CipUX::Import',
    license       => 'gpl2',
    dist_author   => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version  => $VERSION,
    dist_abstract => 'CipUX Import',
    installdirs   => 'vendor',
    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },
    recommends => {},
    build_requires => {
        'Module::Build' => '0.26',
        'Test::More'    => 0,
        'version'       => 0,
    },
    requires => {
        'Carp'                      => 0,
        'CipUX::Task'               => 0,
        'Cwd'                       => 0,
        'Data::Dumper'              => 0,
        'English'                   => 0,
        'Fatal'                     => 0,
        'File::stat'                => 0,
        'IO::File'                  => 0,
        'IO::ScalarArray'           => 0,
        'List::MoreUtils'           => 0,
        'Moose'                     => 0,
        'MooseX::Getopt'            => 0,
        'MooseX::FollowPBP'         => 0,
        'MooseX::StrictConstructor' => 0,
        'namespace::autoclean'      => 0,
        'Perl6::Slurp'              => 0,
        'Readonly'                  => 0,
        'Text::CSV'                 => 0,
        'Text::CSV::Encoded'        => 0,
        'version'                   => 0,
    },

    add_to_cleanup => ['CipUX-Import-*'],
);

$builder->create_build_script();
